Subject: Re: bug#40034: 27.0.90; Incorrect grammar for scheme causes entry to debug mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Sep 2020 17:04:20 +0200

Vladimir Nikishkin <[email-masked]> writes:

> The MWE is the following:
>
> (define (example . args)
>   args)
>
> The dot is not correctly parsed by the scm.el
>
> I found this with the following options on:
>
> (require 'semantic)
> (global-semantic-idle-summary-mode t)
> (global-semantic-idle-completions-mode t)
> (global-semantic-mru-bookmark-mode t)
> (global-semantic-stickyfunc-mode t)
> (global-semantic-highlight-func-mode t)
> (global-semantic-decoration-mode t)

I tried this recipe in Emacs 27, but I didn't get any errors there.  Do
you have a recipe for how to reproduce the bug starting from "emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no